FilterDefinition (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class FilterDefinition

    java.lang.Object
      org.hibernate.engine.spi.FilterDefinition

All Implemented Interfaces:
  Serializable

    public class FilterDefinition

extends Object
implements Serializable

A FilterDefinition defines the global attributes of a dynamic filter. This information includes its name as well as its defined parameters (name and type).

See Also:
  Serialized Form

Constructor Summary
`FilterDefinition(String name, String defaultCondition, Map<String,Type> parameterTypes)` Construct a new FilterDefinition instance.

Method Summary
`String` | `getDefaultFilterCondition()`
`String` | `getFilterName()` Get the name of the filter this configuration defines.
`Set` | `getParameterNames()` Get a set of the parameters defined by this configuration.
`Type` | `getParameterType(String parameterName)` Retreive the type of the named parameter defined for this filter.
`Map<String,Type>` | `getParameterTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterDefinition

    public FilterDefinition(String name,
                            String defaultCondition,
                            Map<String,Type> parameterTypes)

  Construct a new FilterDefinition instance.

  Parameters:
    `name` - The name of the filter for which this configuration is in effect.

Method Detail

### getFilterName

    public String getFilterName()

  Get the name of the filter this configuration defines.

  Returns:
    The filter name for this configuration.

### getParameterNames

    public Set getParameterNames()

  Get a set of the parameters defined by this configuration.

  Returns:
    The parameters named by this configuration.

### getParameterType

    public Type getParameterType(String parameterName)

  Retreive the type of the named parameter defined for this filter.

  Parameters:
    `parameterName` - The name of the filter parameter for which to return the type.
  Returns:
    The type of the named parameter.

### getDefaultFilterCondition

    public String getDefaultFilterCondition()

### getParameterTypes

    public Map<String,Type> getParameterTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.